Bug 221343 - openmpi pkgconfig bad and header files mislocated
openmpi pkgconfig bad and header files mislocated
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Depends On:
  Show dependency treegraph
Reported: 2007-01-03 17:32 EST by Andrew Schretter
Modified: 2008-05-04 07:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-04 07:24:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Schretter 2007-01-03 17:32:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20061219 Fedora/ Firefox/

Description of problem:
The openmpi.pc installed for pkgconfig has unexpanded variables
resulting in incorrect include paths :

pkg-config openmpi --cflags
-I/usr/include/openmpi -I@INCLUDEDIR@/@NAME@/32

Also, there is a directory /usr/include/openmpi/openmpi/ompi which I believe should be /usr/include/openmpi/ompi instead, either that or add the /usr/include/openmpi/openmpi to the pkgconfig file so its included, since the file /usr/include/openmpi/mpi.h has a reference to "ompi/mpi/cxx/mpicxx.h" on line 1757.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run pkg-config openmpi --cflags
2.Try to compile something including "mpi.h" with the CFLAGS from step 1

Actual Results:
Compilation fails with unable to find "ompi/mpi/cxx/mpicxx.h"

Expected Results:
Successful compile

Additional info:
Comment 1 Bug Zapper 2008-04-04 01:28:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Andrew Schretter 2008-04-07 11:46:34 EDT
Bug appears to be fixed in Fedora 8.
Comment 3 Peter van Egdom 2008-05-04 07:24:45 EDT
Thank you for the bug report. Closing bug as per comment #2.

Note You need to log in before you can comment on or make changes to this bug.